<?php
  include "../parametros.php"; 
  include "../valida_permisos.php";
	$vg_programa = F_programa();
	include "../seguridad.php";
	$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
							where login='".trim($vg_login)."'  and programa=".$vg_programa."");
	while($datos= mysqli_fetch_row($sql_entrada))
			{ $vg_nombre=$datos[1];
			  $vg_perfil=$datos[2];				
			} 
	//permisos a formularios
	$modulo="RECAUDO";
	$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
	include "../permisos.php";
	$valpermiso=F_permiso($permisos);
	
	if($valpermiso[0]==1){}
	else
	{echo "<script>";
	echo "window.location='../erroracceso.php?formulario=RECAUDO';";
	echo "</script>";
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<LINK href="../general.css" type=text/css rel=stylesheet>
<link rel="icon" href="../icono.ico" type="image/x-icon"/>

  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="../bootstrap/js/bootstrap.min.js"></script>

  <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
</head>  
<BODY >

<?php

include "../conexion.php";
$documento="";$fechai="";$fechaf="";$concepto="";

$rs_concepto=mysqli_query($conexion,"SELECT id,nombre FROM servicios_tiporecaudo where estado='A'
 									union select 0,'' from servicios_tiporecaudo	
								    order by id asc");
									
if(isset($_REQUEST["oculto"]))
{ 
	$documento=$_REQUEST["documento"];   
	$fechai=$_REQUEST["fechai"];   
	$fechaf=$_REQUEST["fechaf"];   
	$concepto=$_REQUEST["concepto"];   

if(isset ($_REQUEST['nuevo']))
	   { 
	   		$documento="";$fechai="";$fechaf="";$concepto="";
	   }

}//fin oculñto


?>
<form name="despacho" method="post" action="" >

  <div class="panel panel-primary" >
      <div class="panel-heading">REPORTE RECAUDO</div>
       <div align="center">
		  
			  <table width="100%" border="0" cellspacing="0" cellpadding="0"  >
                    <tr> 
                      <td width="107" height="0"><div align="left" class="texto_campos">Documento</div></td>
                      <td width="223"><input name="documento" type="text"   id="documento" value="<?php echo $documento; ?>" 
								 onFocus="this.style.background='#D5EAFF'"  onBlur="this.style.background='#ffffff'" 
							class="form-control"  style="width: 100%; "></td>
                      <td width="224"><div align="left" class="texto_campos"> Concepto</div></td>
                      <td width="447"><select name="concepto" id="concepto" class="form-control" style="width:80%;"  >
                        <?php while ($rowli=mysqli_fetch_array($rs_concepto))
									{
									 if ($concepto==$rowli['id'])
										{echo "<option value=".$rowli['id']." selected>".$rowli['nombre']."</option>";}
									 else
										{echo "<option value=".$rowli['id'].">".$rowli['nombre']."</option>";}		
									}
							      ?>
                      </select></td>
                      <td width="127"><span class="texto_campos">Fecha Inicial:</span></td>
                      <td width="419"><input name="fechai" type="date"   id="fechai" value="<?php echo $fechai; ?>" 
								 onFocus="this.style.background='#D5EAFF'" 
								 onBlur="this.style.background='#ffffff'" 
								class="form-control"  style="width: 180px; "></td>
                      <td width="144"><span class="texto_campos">Fecha  Final:</span></td>
                      <td width="279" style="font-size:20px;"><input name="fechaf" type="date"   id="fechaf" value="<?php echo $fechaf; ?>" 
								 onFocus="this.style.background='#D5EAFF'" 
								 onBlur="this.style.background='#ffffff'" 
								class="form-control"  style="width: 180px; "></td>
                    </tr>
                    <tr> 
                      <td colspan="8"><div align="center"> 
                          <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary" />
                          <input name="buscar" type="submit"  id="buscar"  value="Buscar" onClick="Obuscar.value=1;" class="btn btn-primary" />
                          <input name="Obuscar" type="hidden" id="Obuscar">
                          <input name="oculto" type="hidden" id="oculto">
                        </div></td>
                    </tr>
                  </table>
               
</div>
</div>	
	
<?php

if($_REQUEST["Obuscar"]==1)
{
	if($fechai<>"" && $fechaf<>""){$sqlfecha="and fecsis between '".$fechai."' and '".$fechaf."'";} else {$sqlfecha="";}   
	if($documento<>""){$sqldocumento="and documento='".$documento."'";} else {$sqldocumento="";}
	if($concepto>0){$sqlconcepto="and tiporecaudo='".$concepto."'";} else {$sqlconcepto="";}
	
   $suma=0;
      echo "<table  border='1' bordercolor='#CCCCCC' cellpadding='0' cellspacing='0' class='table table-hover'  >";
		echo "<tr >";
		echo "<td class='btn-primary' align='center' width='5%'>No Recaudo</td>";
		echo "<td class='btn-primary' align='center' width='25%'>Suscriptor</td>";
		echo "<td class='btn-primary' align='center' width='15%'>Tipo Recaudo</td>";
		echo "<td class='btn-primary' align='center' width='15%'>Valor</td>";
		echo "<td class='btn-primary' align='center' width='20%'>Observacion</td>";
		echo "<td class='btn-primary' align='center' width='15%'>Sistema</td>";
		echo "</tr>";	
		 $sql_datos =mysqli_query($conexion,"select id,tiporecaudo,valor,observacion,fecsis,hora,usuario,documento,nombre
											 FROM servicio_recaudo where id>0
											 $sqlfecha
											 $sqldocumento
											 $sqlconcepto
											 order by fecsis desc");
		 while($datos= mysqli_fetch_row($sql_datos))//01
		  {					
			   $id=$datos[0];
			   $tiporecaudo=$datos[1];
			   $valor=$datos[2];
			   $observacion=$datos[3];
			   $fecsis=$datos[4];
			   $horasis=$datos[5];
			   $usuario=$datos[6];
			   $documento=$datos[7];
			   $nombre=$datos[8];
			   $suma=$suma+$valor;
			   
			  
			  $sql_contar=mysqli_query($conexion,"SELECT nombre FROM servicios_tiporecaudo where id='".$tiporecaudo."'");
			  while($datoscontar= mysqli_fetch_row($sql_contar)) { $ntiporecaudo=$datoscontar[0];}
			  
			
			echo "<tr>
					<td>$id</td>
					<td>".strtoupper("$documento / $nombre ")."</td>
					<td>$ntiporecaudo</td>
					<td align='right'>".$valor=number_format($valor,0,'','.')."</td>
					<td>$observacion</td>
					<td>$fecsis / $horasis / $usuario</td>";
                    echo "</tr>";
		  }
		  echo "<tr>
					<td style='font-size:18px;' colspan='3'  align='right'><strong>TOTAL RECAUDO</strong></td>
					<td align='right' style='font-size:18px;'><strong>".$valor=number_format($suma,0,'','.')."</strong></td>
					<td></td>
					<td></td>
					<td></td>
				</tr>";
		 echo "</table>";

}
?>

</form>
</body>
</html>
<?php
 mysqli_close($conseg);
 mysqli_close($conexion);
 ?>